import BasePostLayout from "../layout/BasePost/BasePostLayout";
import MyDutyListContainer from "./components/MyDutyListContainer";
import { useEffect } from "react";
import { useMainContext } from "../layout/MainProvider";
import { PostType } from "@nice/common";
export default function MyDutyPage() {
	const { setSearchMode } = useMainContext();
	useEffect(() => {
		setSearchMode(PostType.COURSE);
	}, [setSearchMode]);
	return (
		<BasePostLayout>
			<MyDutyListContainer></MyDutyListContainer>
		</BasePostLayout>
	);
}
